#324 "Save raster Image as Image" on Sextante Raster Layer context menu doesn't work

closed
nobody
None
6
2014-11-18
2013-06-26
G. Aruta
No

Trying to export a Sextante Raster Image (or a part of that) using the tool, I had this error message

java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
at com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
at
etc

Giuseppe Aruta

Related

Bugs: #324

Discussion

  • ede
    ede
    2013-06-26

    On 26.06.2013 10:31, G. Aruta wrote:


    [bugs:#324] http://sourceforge.net/p/jump-pilot/bugs/324/ "Save raster Image as Image" on Sextante Raster Layer context menu doesn't work

    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    this class might be missing in openjdk .. can youn try with sun jdk and report back? ..ede

     

    Related

    Bugs: #324

  • G. Aruta
    G. Aruta
    2013-06-26

    Or moving to Oracle Java?

    2013/6/26 Giuseppe Aruta giuseppe_aruta@yahoo.it

    Yes, you are right.
    It seems that JPECCodecs are not supported by OpenJDK. :-(
    How can we manage to solve it? Should we use ImageIO instead?
    Peppe

    2013/6/26 ede edso@users.sf.net

    On 26.06.2013 10:31, G. Aruta wrote:


    [bugs:#324] http://sourceforge.net/p/jump-pilot/bugs/324/
    http://sourceforge.net/p/jump-pilot/bugs/324/ "Save raster Image as
    Image" on Sextante Raster Layer context menu doesn't work

    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    this class might be missing in openjdk .. can youn try with sun jdk and
    report back? ..ede


    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    Giuseppe Aruta

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jump-pilot/bugs/324/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #324

  • G. Aruta
    G. Aruta
    2013-06-26

    Yes, you are right.
    It seems that JPECCodecs are not supported by OpenJDK. :-(
    How can we manage to solve it? Should we use ImageIO instead?
    Peppe

    2013/6/26 ede edso@users.sf.net

    On 26.06.2013 10:31, G. Aruta wrote:


    [bugs:#324] http://sourceforge.net/p/jump-pilot/bugs/324/
    http://sourceforge.net/p/jump-pilot/bugs/324/ "Save raster Image as
    Image" on Sextante Raster Layer context menu doesn't work

    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    this class might be missing in openjdk .. can youn try with sun jdk and
    report back? ..ede


    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    Giuseppe Aruta

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jump-pilot/bugs/324/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #324

  • ede
    ede
    2013-06-26

    i assume these proprietary parts are going to be merged into current openjdk's .. not sure though. can you try openjdk 7 and 8?

    ..ede

    On 26.06.2013 12:11, G. Aruta wrote:

    Yes, you are right.
    It seems that JPECCodecs are not supported by OpenJDK. :-(
    How can we manage to solve it? Should we use ImageIO instead?
    Peppe

    2013/6/26 ede edso@users.sf.net edso@users.sf.net

    On 26.06.2013 10:31, G. Aruta wrote:
    
    ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
    /[bugs:#324] <http://sourceforge.net/p/jump-pilot/bugs/324/> http://sourceforge.net/p/jump-pilot/bugs/324/
    <http://sourceforge.net/p/jump-pilot/bugs/324/>http://sourceforge.net/p/jump-pilot/bugs/324/ "Save raster Image as
    Image" on Sextante Raster Layer context menu doesn't work/
    
    /Status:/ open
    /Created:/ Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    /Last Updated:/ Wed Jun 26, 2013 08:31 AM UTC
    /Owner:/ nobody
    
    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message
    
    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc
    
    this class might be missing in openjdk .. can youn try with sun jdk and
    report back? ..ede
    
    ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
    
      * [bugs:#324] <http://sourceforge.net/p/jump-pilot/bugs/324/> http://sourceforge.net/p/jump-pilot/bugs/324/ "Save
        raster Image as Image" on Sextante Raster Layer context menu doesn't work*
    
    /Status:/ open
    /Created:/ Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    /Last Updated:/ Wed Jun 26, 2013 08:31 AM UTC
    /Owner:/ nobody
    
    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message
    
    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc
    
        Giuseppe Aruta
    
    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jump-pilot/bugs/324/
    
    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/
    

    [bugs:#324] http://sourceforge.net/p/jump-pilot/bugs/324/ "Save raster Image as Image" on Sextante Raster Layer context menu doesn't work

    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    Giuseppe Aruta


    Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jump-pilot/bugs/324/

    To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #324

  • G. Aruta
    G. Aruta
    2013-06-26

    I will try when I will be back home, I am travelinng in Switzerland for job
    now,
    thanks Ede
    Giuseppe

    2013/6/26 ede edso@users.sf.net

    i assume these proprietary parts are going to be merged into current
    openjdk's .. not sure though. can you try openjdk 7 and 8?

    ..ede

    On 26.06.2013 12:11, G. Aruta wrote:

    Yes, you are right.
    It seems that JPECCodecs are not supported by OpenJDK. :-(
    How can we manage to solve it? Should we use ImageIO instead?
    Peppe

    2013/6/26 ede edso@users.sf.net edso@users.sf.net

    On 26.06.2013 10:31, G. Aruta wrote:

    /[bugs:#324] http://sourceforge.net/p/jump-pilot/bugs/324/ http://sourceforge.net/p/jump-pilot/bugs/324/
    http://sourceforge.net/p/jump-pilot/bugs/324/http://sourceforge.net/p/jump-pilot/bugs/324/ "Save raster Image as
    Image" on Sextante Raster Layer context menu doesn't work/
    /Status:/ open/Created:/ Wed Jun 26, 2013 08:31 AM UTC by G. Aruta/Last Updated:/ Wed Jun 26, 2013 08:31 AM UTC/Owner:/ nobody

    Trying to export a Sextante Raster Image (or a part of that) using thetool, I had this error message
    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParamatcom.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)atetc
    this class might be missing in openjdk .. can youn try with sun jdk andreport back? ..ede


    Trying to export a Sextante Raster Image (or a part of that) using thetool, I had this error message
    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParamatcom.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)atetc

    Giuseppe Aruta
    

    Sent from sourceforge.net because you indicated interest inhttps://sourceforge.net/p/jump-pilot/bugs/324/
    To unsubscribe from further messages, please visithttps://sourceforge.net/auth/subscriptions/


    [bugs:#324] http://sourceforge.net/p/jump-pilot/bugs/324/
    http://sourceforge.net/p/jump-pilot/bugs/324/ "Save raster Image as
    Image" on Sextante Raster Layer context menu doesn't work

    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    Giuseppe Aruta

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jump-pilot/bugs/324/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/


    Status: open
    Created: Wed Jun 26, 2013 08:31 AM UTC by G. Aruta
    Last Updated: Wed Jun 26, 2013 08:31 AM UTC
    Owner: nobody

    Trying to export a Sextante Raster Image (or a part of that) using the
    tool, I had this error message

    java.lang.NoClassDefFoundError: com/sun/image/codec/jpeg/JPEGDecodeParam
    at
    com.sun.media.jai.codecimpl.TIFFCodec.createImageEncoder(TIFFCodec.java:62)
    at
    etc

    Giuseppe Aruta

    Sent from sourceforge.net because you indicated interest in
    https://sourceforge.net/p/jump-pilot/bugs/324/

    To unsubscribe from further messages, please visit
    https://sourceforge.net/auth/subscriptions/

     

    Related

    Bugs: #324

  • G. Aruta
    G. Aruta
    2013-11-09

    It works with OpenJDK 1.7. It doesn't work with OpenJDK 1.6. I close this ticket since ther are also valid alternatives now for OJ (via imageIO or Apache commons imaging)

     
  • G. Aruta
    G. Aruta
    2013-11-09

    • status: open --> closed